QGIS Application - Bug report #17144
Deleting fields from empty layer causes first attribute to be renamed.
2017-09-14 07:20 PM - Elisa Franchi

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.1(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corruptsdata: Copied to github as #: 25043
Description

Hi all,

| have the following problem: if | delete one or more fields from a layer (shp) that contains no one record, the name of the first fields is
changed when | save the data.

It does not happen if the layer contains at least one object or if before/after delating field | add at least another field.

How can [ fix the problem?

Thanks,

Elisa

History

#1 - 2017-09-14 09:29 PM - Giovanni Manghi

- Subject changed from QGIS 2.18.12 - deleting fields from empty layer to Deleting fields from empty layer causes first attribute to be renamed.
- Crashes QGIS or corrupts data changed from No to Yes

- Pull Request or Patch supplied changed from Yes to No

- Operating System deleted (WIN10)

- Assignee deleted (Victor Olaya)

- Category changed from Processing/QGIS to Vectors

Seen also on Linux and on 2.14 and master. In all my tests the first attribute was "id" and was changed to "sometrangechard+d".

#2 - 2018-02-26 06:33 PM - Luca Lanteri
- File 2018-02-26_183226.jpg added

Confirmed on 3.1.

the original field name "id" now has a special character (See attached file)

#3 - 2018-03-03 11:14 AM - Giovanni Manghi
- Affected QGIS version changed from 2.18.12 to 3.1(master)

#4 - 2018-11-08 01:31 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.
#5 - 2019-02-23 08:36 PM - Jiirgen Fischer
- Status changed from Feedback to Closed
- Resolution set to no timely feedback

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version. Feel free to reopen if it still applies to a current version and you
have more information that clarify the issue.

Files

2018-02-26_183226.jpg 24 KB 2018-02-26 Luca Lanteri
